// ファイル選択ダイアログで選択した画像をマルチページに配置
(function(){
	var abNum = 100;	// 100ページ
	var pageW = 595.28;	// A4サイズ横幅
	var pageH = 841.89;	// A4サイズ縦幅
	var docObj = app.documents.add(
		DocumentColorSpace.RGB,
		pageW,	// A4サイズ
		pageH,
		abNum, 
		DocumentArtboardLayout.GridByRow, // 左から右、上から下
		0,	// アートボード間の余白
		10	// アートボードサイズの平方根。Math.SQRT(abNum)
	);
	var count = 0;
	var X = 0;
	var Y = pageH * 10;
	while(true){
		var fileObj = File.openDialog("配置する画像を選択してください("+(count+1)+"枚目)", "*", false);
		if (!fileObj) return;	// キャンセルされたら、そこで中止
		setImage(fileObj, X, Y);
		count = count + 1;
		if (count > 99) return;	// 100枚を超えたら終わり
		X = X + pageW;
		if (X > pageW*9) {	// 10*10なので10枚を超えたら下のアートボードへ
			X = 0;
			Y = Y - pageH;
		}
	}
	// 指定した位置に画像を配置
	function setImage(fileObj, x, y){
		var myImage = app.activeDocument.placedItems.add();
		myImage.file = fileObj;
		myImage.left = x;
		myImage.top = y;
		myImage.embed();
	}
})();
